fullnameOverride: "inquiries"

image:
    # -- Image to use for deploying, must support an entrypoint which creates users/databases from appropriate config files
    # -- The container image repository that should be used.  E.g 'nginx', 'gcr.io/kubernetes-helm/tiller'.       
  repository: nginx
  pullPolicy: IfNotPresent
  tag: "latest"
replicaCount: 1

nodeSelector: 
  agentpool: application

service:
  targetPort: 80

# resource:
#   enabled: true
# resources:
#   requests:
#     cpu: "20m"
#     memory: "700Mi"
#   limits:
#     cpu: "200m"
#     memory: "1500Mi"

job: 
 enabled: false

lifecycle:
  preStop:
    exec:
      command: ["sleep", "90"]
    
terminationGracePeriodSeconds: 101

securityContext:
 allowPrivilegeEscalation: false
 capabilities:
  drop: ["ALL"]
  add: ["NET_BIND_SERVICE", "CHOWN", "SETGID", "SETUID"]

ingress:    
  enabled: true
  className: "azure-application-gateway"
  annotations: 
    appgw.ingress.kubernetes.io/connection-draining: "true"
    appgw.ingress.kubernetes.io/connection-draining-timeout: "30"
  hosts:                        
    - host: inquiries.catereasewebtools.com
      paths:
        - path: /
          pathType: ImplementationSpecific

  tls: 
   - secretName: catereasewebtools.com-wildcard-tls
     hosts:
       - inquiries.catereasewebtools.com